# Append PII to a travel rule message

Endpoint: POST /v1/domains/{domainId}/compliance/travel-rule/providers/{provider}/messages/{travelRuleId}/pii
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)

  - `provider` (string, required)
    Enum: "NOTABENE"

  - `travelRuleId` (string, required)

## Request fields (application/json):

  - `ivms101` (object, required)
    IVMS101 data structure for travel rule compliance

  - `ivms101.originator` (object)
    Originator information in IVMS101 format

  - `ivms101.originator.originatorPerson` (array)

  - `ivms101.originator.originatorPerson.naturalPerson` (object)
    Natural person information

  - `ivms101.originator.originatorPerson.naturalPerson.name` (object, required)
    Name information for natural person

  - `ivms101.originator.originatorPerson.naturalPerson.name.nameIdentifier` (array, required)

  - `ivms101.originator.originatorPerson.naturalPerson.name.nameIdentifier.primaryIdentifier` (string, required)
    Primary name identifier (e.g., surname)

  - `ivms101.originator.originatorPerson.naturalPerson.name.nameIdentifier.secondaryIdentifier` (string)
    Secondary name identifier (e.g., given name)

  - `ivms101.originator.originatorPerson.naturalPerson.name.nameIdentifier.naturalPersonNameIdentifierType` (string, required)
    Type of name identifier (e.g., LEGL, BIRT, MAID, TRAD)

  - `ivms101.originator.originatorPerson.naturalPerson.dateAndPlaceOfBirth` (object)

  - `ivms101.originator.originatorPerson.naturalPerson.dateAndPlaceOfBirth.dateOfBirth` (string, required)

  - `ivms101.originator.originatorPerson.naturalPerson.dateAndPlaceOfBirth.placeOfBirth` (string, required)

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress` (array)

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.addressType` (string, required)
    Type of address (e.g., HOME, BIZZ, GEOG)

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.streetName` (string)
    Street name - required if addressLine not provided

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.buildingNumber` (string)
    Building number - required if addressLine not provided

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.addressLine` (array)
    Full address line(s) - use this OR streetName/buildingNumber

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.postCode` (string)
    Postal code (optional)

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.townName` (string, required)
    Town or city name

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.countrySubDivision` (string)
    State, province, or region (e.g., NY)

  - `ivms101.originator.originatorPerson.naturalPerson.geographicAddress.country` (string, required)
    Country code (ISO-3166 Alpha-2, e.g., US)

  - `ivms101.originator.originatorPerson.naturalPerson.nationalIdentification` (object)
    National identification information

  - `ivms101.originator.originatorPerson.naturalPerson.nationalIdentification.nationalIdentifier` (string, required)
    National identifier number

  - `ivms101.originator.originatorPerson.naturalPerson.nationalIdentification.nationalIdentifierType` (string, required)
    Type of national identifier (e.g., ARNU, CCPT, RAID, DRLC, FIIN, TXID, SOCS, IDCD, LEIX, MISC)

  - `ivms101.originator.originatorPerson.naturalPerson.nationalIdentification.registrationAuthority` (string)
    Authority that issued the identifier (optional)

  - `ivms101.originator.originatorPerson.naturalPerson.nationalIdentification.countryOfIssue` (string)
    Country of issue (ISO-3166 Alpha-2)

  - `ivms101.originator.originatorPerson.naturalPerson.customerIdentification` (string)
    Customer identification number assigned by the VASP

  - `ivms101.originator.originatorPerson.legalPerson` (object)
    Legal person (organization) information

  - `ivms101.originator.originatorPerson.legalPerson.name` (object, required)
    Name information for legal person

  - `ivms101.originator.originatorPerson.legalPerson.name.nameIdentifier` (array, required)

  - `ivms101.originator.originatorPerson.legalPerson.name.nameIdentifier.legalPersonName` (string, required)
    Legal person name

  - `ivms101.originator.originatorPerson.legalPerson.name.nameIdentifier.legalPersonNameIdentifierType` (string, required)
    Type of legal person name identifier (e.g., LEGL, SHRT, TRAD)

  - `ivms101.originator.originatorPerson.legalPerson.geographicAddress` (array)

  - `ivms101.originator.originatorPerson.legalPerson.nationalIdentification` (object)
    National identification information

  - `ivms101.originator.originatorPerson.legalPerson.customerIdentification` (string)
    Customer identification number assigned by the VASP

  - `ivms101.originator.originatorPerson.legalPerson.countryOfRegistration` (string)
    ISO-3166-1 alpha-2 country code where the legal person is registered

  - `ivms101.originator.accountNumber` (string)

  - `ivms101.beneficiary` (object)
    Beneficiary information in IVMS101 format

  - `ivms101.beneficiary.beneficiaryPerson` (array)

  - `ivms101.beneficiary.accountNumber` (string)

  - `originator` (object)
    Identifier for a party in a transfer

  - `originator.@id` (string, required)
    DID or identifier for the party

  - `beneficiary` (object)
    Identifier for a party in a transfer

## Response 200 fields (application/json):

  - `appendPIIResponse` (object)
    Direct response from the provider for append PII

  - `appendPIIResponse.message` (string)
    Success message

  - `suggestedIntentId` (string)

  - `complianceTravelRuleId` (string)

## Response 400 fields (*/*):

  - `reason` (string, required)

  - `message` (string)


